<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Receipt View</title>
</head>



<body>

<header>
    <nav>
        <ul>
        {%if user.is_authenticated%}
        <li><a href="{% url 'logout'%}">Logout</a></li>
        <li><a href="{% url 'create_expense'%}">Create Expense</a></li>
        <li><a href="{% url 'create_account'%}">Create Account</a></li>
        <li><a href="{% url 'category_list'%}">View Expenses</a></li>
        <li><a href="{% url 'account_list'%}">View Accounts</a></li>

        {%else%}
        <li><a href="{% url 'signup'%}">Sign Up</a></li>
        <li><a href="{% url 'login'%}">Login</a></li>
        {%endif%}
    </ul>
</nav>
</header>


<main>
    <h1>My Receipts</h1>
    <table>
        <thead>
            <tr>

            <th>Vendor</th>
            <th>Total</th>
            <th>Tax</th>
            <th>Date</th>
            <th>Category</th>
            <th>Account</th>
        </tr>
    </thead>
        <tbody>
            {%for item in receipt_object.all%}
            <tr>
            <td>{{item.vendor}}</td>
            <td>{{item.total}}</td>
            <td>{{item.tax}}</td>
            <td>{{item.date|date:"m/d/y"}}</td>
            <td>{{item.category.name}}</td>
            <td>{{item.account.name}}</td>
              </tr>


        {% endfor %}
    </tbody>
</table>
</main>

</body>
</html>
